export interface IOption {
  // 元素唯一标识符
  name: string
  // 隐藏状态
  hidden?: boolean
  // 自定义类名
  customClass?: string
  // 标签名称
  label?: string
  // 默认值
  defaultValue?: string | boolean | number | []
  // 提示词
  placeholder?: string
  // 选择项
  optionItems?: []
  // 行合并
  colspan?: number
  // 列合并
  rowspan?: number
}

export type ICategory = 'container' | 'formItem'

export interface IWidget {
  // 元素唯一标识符
  key?: string
  // 元素id
  id?: string
  // 类别
  category: ICategory
  // 类型
  type: string
  // 展示名称
  displayName: string
  // 图标
  icon: string
  // 属性
  options: IOption
  // 子结构
  subDomList?: [IWidget] | [[IWidget]]
  // 单元格是否被合并
  merged?: boolean
  // X轴坐标
  axisX?: number
  // Y轴坐标
  axisY?: number
}

export interface IWidgetJson {
  // 页面结构
  subDomList: IWidget[]
  // 当前选中元素ID
  activeId: string
  // 当前选中元素名称
  activeDomName: string
}
